import { http } from '@/utils/http';

/**
 * 分页查询教材列表
 */
export function PageQueryBookList(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-PageQueryBookList`, data);
}

/**
 * 获取教材创建人列表
 */
export function GetBookCreatorList() {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-GetBookCreatorList`);
}

/**
 * 上架、下架教材
 */
export function SetPublishStatusForBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-SetPublishStatusForBook`, data);
}

/**
 * 分页查询机构索引列表
 */
export function PageQueryOrgIndexList_OpenQuery(data) {
  return http.post(`${process.env.VUE_APP_FileServer}?MethodName=org_manager-PageQueryOrgIndexList_OpenQuery`, data);
}

/**
 * 添加教材
 */
export function AddBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-AddBook`, data);
}

/**
 * 得到教材
 */
export function GetBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-GetBook`, data);
}

/**
 * 修改教材
 */
export function UpdateBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-UpdateBook`, data);
}

/**
 * 删除教材
 */
export function DeleteBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-DeleteBook`, data);
}

/**
 * 获取教材类型列表
 */
export function GetBookTypeList(data) {
  return http.post(`${process.env.VUE_APP_FileServer}?MethodName=dict_manager-GetBookTypeList`, data);
}

/**
 * 得到教材章节结构
 */
export function GetBookChapterStruct(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-book_manager-GetBookChapterStruct`, data);
}

/**
 * 添加教材章节
 */
export function AddChapterToBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-chapter_manager-AddChapterToBook`, data);
}

/**
 * 修改教材章节
 */
export function UpdateChapter(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-chapter_manager-UpdateChapter`, data);
}

/**
 * 删除教材章节
 */
export function DeleteChapter(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-chapter_manager-DeleteChapter`, data);
}

/**
 * 得到教材章节
 */
export function AddCoursewareToBook(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-AddCoursewareToBook`, data);
}

/**
 * 得到章节下的互动课件列表
 * @param {object} data
 * @param {string} data.chapter_id 章节ID
 */
export function GetCoursewareList_Chapter(data) {
  return http.post(
    `${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-GetCoursewareList_Chapter`,
    data,
  );
}

/**
 * 保存互动课件内容
 */
export function SaveCoursewareContent(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-SaveCoursewareContent`, data);
}

/**
 * 得到互动课件内容
 */
export function GetCoursewareContent(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-GetCoursewareContent`, data);
}

/**
 * 保存互动课件组件内容
 */
export function SaveCoursewareComponentContent(data) {
  return http.post(
    `${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-SaveCoursewareComponentContent`,
    data,
  );
}

/**
 * 得到互动课件组件内容
 */
export function GetCoursewareComponentContent(data) {
  return http.post(
    `${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-GetCoursewareComponentContent`,
    data,
  );
}

/**
 * 得到互动课件组件内容（展示内容）
 */
export function GetCoursewareComponentContent_View(data) {
  return http.post(
    `${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-GetCoursewareComponentContent_View`,
    data,
  );
}

/**
 * 删除互动课件
 */
export function DeleteCourseware(data) {
  return http.post(`${process.env.VUE_APP_BookWebSI}?MethodName=book-courseware_manager-DeleteCourseware`, data);
}

/**
 * 为文本生成拼音解析文本
 */
export function CrateParsedTextInfo_Pinyin(data) {
  return http.post(`/TeachingServer/TextAnalyser/CrateParsedTextInfo_Pinyin`, data);
}
